summaryrefslogtreecommitdiffstats
path: root/source/t/tetex/tetex.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/t/tetex/tetex.SlackBuild')
-rwxr-xr-xsource/t/tetex/tetex.SlackBuild30
1 files changed, 27 insertions, 3 deletions
diff --git a/source/t/tetex/tetex.SlackBuild b/source/t/tetex/tetex.SlackBuild
index f19273323..e813490d0 100755
--- a/source/t/tetex/tetex.SlackBuild
+++ b/source/t/tetex/tetex.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,19 @@
VERSION=3.0
-ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-8}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-6}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -35,6 +45,8 @@ elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
# There were so many local security problems with this shared fontcache
@@ -58,6 +70,8 @@ mkdir -p /usr/share/texmf
tar xvf $CWD/tetex-texmf-$VERSION.tar.xz
chown -R root:root .
find . -type f -perm 666 -exec chmod 644 {} \;
+ # Change the sell-by date:
+ zcat $CWD/tetex.leet.diff.gz | patch -p1 --verbose || exit 1
)
cd $TMP
rm -rf tetex-src-$VERSION
@@ -91,6 +105,16 @@ zcat $CWD/tetex.amstex.fmtutil.diff.gz | patch -p1 --verbose || exit 1
# Don't leave texconfig junk in $TMP:
zcat $CWD/tetex.tmp.cleanup.diff.gz | patch -p1 --verbose || exit 1
+# Fix the cpascal header so there's no conflict with getline() in the
+# generated C code:
+zcat $CWD/tetex.cpascal.getline.posix.2008.diff.gz | patch -p1 --verbose || exit 1
+
+# Patch for libpng-1.4.0:
+zcat $CWD/tetex.png14.diff.gz | patch -p1 --verbose || exit 1
+
+# Another problem caused by getline() in glibc:
+zcat $CWD/tetex.afm2tfm.getline.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr/share/texmf \